Subject: Re: [PATCH] config.mak.dev: fix typo when enabling -Wpedantic

From: Taylor Blau <[email-masked]>
Date: Sat, 6 Jul 2024 11:28:27 -0400

On Sat, Jul 06, 2024 at 11:15:43AM -0400, Taylor Blau wrote:
> It is tempting to just want to rip out support for older compilers, but
> given that ebd2e4a13a (Makefile: restrict -Wpedantic and
> -Wno-pedantic-ms-format better, 2021-09-28) is only three years old, I
> imagine that some builders may still want support for older / pre-GCC 4
> compilers.

Hmm... thinking on it more, edb2e4a13a hasn't been working at all on the
older versions of Make that people with ancient compilers are likely
also using. So it's possible that that commit isn't doing as much as we
think, in which case we could rip it out altogether.

I don't think you can actually get rid of the detect-compiler script,
since we do have filters for more recent compilers (e.g., "gcc10", and
so on). But it would be a step in the right direction :-).

Thanks,
Taylor